TriggerFiredEvent (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.TriggerFiredEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events
Class TriggerFiredEvent

    java.lang.Object
      org.hyperic.hq.events.AbstractEvent
          org.hyperic.hq.events.TriggerFiredEvent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class TriggerFiredEvent

extends AbstractEvent
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`TriggerFiredEvent(java.lang.Integer instanceId, AbstractEvent event)` Creates a new instance of TriggerFiredEvent
`TriggerFiredEvent(java.lang.Integer instanceId, AbstractEvent[] events)` Creates a new instance of TriggerFiredEvent

Method Summary
`AbstractEvent[]` | `getEvents()` Getter for property events.
`java.lang.String` | `getMessage()` Getter for property message.
`TriggerFiredEvent[]` | `getRootEvents()` Traverse down nested events to a non TriggerFired event
`long` | `getTimestamp()`
`void` | `setEvents(AbstractEvent[] events)` Setter for property events.
`void` | `setMessage(java.lang.String message)` Setter for property message.
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.events.AbstractEvent
`equals, getId, getInstanceId, hashCode, isLoggingSupported, setId, setInstanceId, setTimestamp`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TriggerFiredEvent

    public TriggerFiredEvent(java.lang.Integer instanceId,
                             AbstractEvent event)

  Creates a new instance of TriggerFiredEvent

### TriggerFiredEvent

    public TriggerFiredEvent(java.lang.Integer instanceId,
                             AbstractEvent[] events)

  Creates a new instance of TriggerFiredEvent

Method Detail

### getEvents

    public AbstractEvent[] getEvents()

  Getter for property events.

  Returns:
    Value of property events.

### getMessage

    public java.lang.String getMessage()

  Getter for property message.

  Returns:
    Value of property message.

### getRootEvents

    public TriggerFiredEvent[] getRootEvents()

  Traverse down nested events to a non TriggerFired event

  Returns:
    The root event which caused the TriggerFiredEvent

### getTimestamp

    public long getTimestamp()

  Overrides:
    `getTimestamp` in class `AbstractEvent`

### setEvents

    public void setEvents(AbstractEvent[] events)

  Setter for property events.

  Parameters:
    `events` - New value of property events.

### setMessage

    public void setMessage(java.lang.String message)

  Setter for property message.

  Parameters:
    `message` - New value of property message.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.